Set a staff owner for a profile's role
Assigns a staff member as the owner of this role. Pass the staff member's profile ID as the owner_id query parameter. The owner is the staff user responsible for managing this candidate's progress in the class.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
- Type: stringrole
_id requiredUnique identifier of the role.
Query Parameters
- Type: stringowner
_id The profile id of the staff profile who should be set as the owner of the profile role.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for patch/apis/profiles/profiles/{profile_id}/roles/{role_id}/owner
curl 'https://school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/roles/507f1f77bcf86cd799439011/owner?owner_id=' \
--request PATCH \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385bdd4976a7719120108ed",
"withdrawn": false,
"withdrew_at": null,
"withdrawn_reasons": [],
"withdrawn_detail": null,
"state": "applicant",
"substate": "submitted",
"potential": "high",
"context_id": "6385bb46976a771912003e6a",
"context_type": "Institutions::ClassOf",
"campus_id": null,
"owner_id": "6385baa4976a771912000511"
}